AO-LOAD(1)

NAME
ao-load - flash a program to a AltOS device

SYNOPSIS
ao-load [-T tty-device] [--tty tty-device] [-D altos-device] [--device altos-device] [--cal radio-calibration] file.ihx device serial number

DESCRIPTION
ao-load loads the specified .ihx file into the target device flash memory, customizing the AltOS image with the specified serial number.

OPTIONS

-T tty-device | --tty tty-device
    This selects which tty device the debugger uses to communicate with the target device. The special name 'BITBANG' directs ao-dbg to use the cp2103 connection, otherwise this should be a usb serial port connected to a suitable cc1111 debug node.

-D AltOS-device | --device AltOS-device
    Search for a connected device. This requires an argument of one of the following forms:

    TeleMetrum:2
    TeleMetrum
    2

    Leaving out the product name will cause the tool to select a suitable product, leaving out the serial number will cause the tool to match one of the available devices.

-c radio-calibration | --cal radio-calibration
    This programs the radio calibration value into the image for hardware which doesn't have any eeprom storage for this value. The value here can be computed given the current radio calibration value, the measured frequency and the desired frequency:

        cal' = cal * (desired/measured)

    The default calibration value is 1186611.

USAGE
ao-load reads the specified .ihx file into memory, locates the matching .map file and edits the image to customize it using the specified serial number. It then connects to the specified target device and writes the program to the target device flash memory.

AUTHOR
Keith Packard